import { __rest } from 'tslib';
import { useRef, useEffect, createElement } from 'react';

const HighlightZone = (_a) => {
    var { as = 'span' } = _a, props = __rest(_a, ["as"]);
    const ref = useRef();
    useEffect(() => HighlightWidgetManager.subscribe(() => {
        if (!HighlightWidgetManager.ready) {
            return;
        }
        HighlightWidgetManager.mark([ref.current]);
    }), []);
    return createElement(as, Object.assign(Object.assign({}, props), { ref }));
};

const initConceptHighlighting = async (apiKey) => {
    await HighlightWidgetManager.init(apiKey);
};
const setHighlightingTheme = (value) => {
    HighlightWidgetManager.theme = value;
};
const setHighlightingConfig = (value) => {
    HighlightWidgetManager.config = value;
};
const setHighlightingHandlers = (value) => {
    HighlightWidgetManager.handlers = value;
};

export { HighlightZone, initConceptHighlighting, setHighlightingConfig, setHighlightingHandlers, setHighlightingTheme };
