'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const tslib = require('tslib');
const react = require('react');

const HighlightZone = (_a) => {
    var { as = 'span' } = _a, props = tslib.__rest(_a, ["as"]);
    const ref = react.useRef();
    react.useEffect(() => HighlightWidgetManager.subscribe(() => {
        if (!HighlightWidgetManager.ready) {
            return;
        }
        HighlightWidgetManager.mark([ref.current]);
    }), []);
    return react.createElement(as, Object.assign(Object.assign({}, props), { ref }));
};

const initConceptHighlighting = async (apiKey) => {
    await HighlightWidgetManager.init(apiKey);
};
const setHighlightingTheme = (value) => {
    HighlightWidgetManager.theme = value;
};
const setHighlightingConfig = (value) => {
    HighlightWidgetManager.config = value;
};
const setHighlightingHandlers = (value) => {
    HighlightWidgetManager.handlers = value;
};

exports.HighlightZone = HighlightZone;
exports.initConceptHighlighting = initConceptHighlighting;
exports.setHighlightingConfig = setHighlightingConfig;
exports.setHighlightingHandlers = setHighlightingHandlers;
exports.setHighlightingTheme = setHighlightingTheme;
